> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dittowords.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch variants

> Returns a list of the variants in the workspace.



## OpenAPI

````yaml openapi.json get /variants
openapi: 3.0.0
info:
  version: 1.0.0
  title: Ditto API
  description: Programmatically read and write data in your Ditto workspace.
servers:
  - url: https://api.dittowords.com/v2
security: []
paths:
  /variants:
    get:
      tags:
        - Variants
      summary: Fetch variants
      description: Returns a list of the variants in the workspace.
      responses:
        '200':
          description: Returns an array of variants in the workspace
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: >-
                        The Developer ID of the variant. Keywords 'all' and
                        'base' are reserved
                    name:
                      type: string
                      description: The name of the variant
                    description:
                      type: string
                      description: >-
                        The description provided for the variant. Empty string
                        if no description exists
                  required:
                    - id
                    - name
                    - description
                example:
                  - id: all-1
                    name: all
                    description: ''
                  - id: french
                    name: French
                    description: French translations
                  - id: spanish
                    name: Spanish
                    description: ''
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````